Package be.vlaanderen.mercurius.mohm.common.v7

# Class PrescriptionType

java.lang.Object
be.vlaanderen.mercurius.mohm.common.v7.PrescriptionType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class PrescriptionType extends Object implements Serializable
Generiek type voor een medisch voorschrift in een aanvraag.

Java class for PrescriptionType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PrescriptionType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="ApprovalNumber" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}ApprovalNumberType"/>
             <element name="PrescriptionDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
             <element name="PrescriptionDocument" type="{http://www.mercurius.vlaanderen.be/wzcmh/common/v3}DocumentListType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PrescriptionType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getApprovalNumber()`
  Erkenningsnummer van de voorschrijvend arts, is een verplicht veld als een voorschrift is toegevoegd.
  `Instant`
  `getPrescriptionDate()`
  Datum van het medisch voorschrift, is een verplicht veld als een voorschrift is toegevoegd.
  `DocumentListType`
  `getPrescriptionDocument()`
  Ingescande versie van het oorspronkelijke medisch voorschrift.
  `void`
  `setApprovalNumber(String value)`
  Sets the value of the approvalNumber property.
  `void`
  `setPrescriptionDate(Instant value)`
  Sets the value of the prescriptionDate property.
  `void`
  `setPrescriptionDocument(DocumentListType value)`
  Sets the value of the prescriptionDocument property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PrescriptionType

    public PrescriptionType()

- ## Method Details

  - ### getApprovalNumber

    public String getApprovalNumber()
    Erkenningsnummer van de voorschrijvend arts, is een verplicht veld als een voorschrift is toegevoegd.
    Returns:
      possible object is `String`

  - ### setApprovalNumber

    public void setApprovalNumber(String value)
    Sets the value of the approvalNumber property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getApprovalNumber()`

  - ### getPrescriptionDate

    public Instant getPrescriptionDate()
    Datum van het medisch voorschrift, is een verplicht veld als een voorschrift is toegevoegd. Deze datum mag nooit in de toekomst liggen.
    Returns:
      possible object is `String`

  - ### setPrescriptionDate

    public void setPrescriptionDate(Instant value)
    Sets the value of the prescriptionDate property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getPrescriptionDate()`

  - ### getPrescriptionDocument

    public DocumentListType getPrescriptionDocument()
    Ingescande versie van het oorspronkelijke medisch voorschrift.
    Returns:
      possible object is `DocumentListType`

  - ### setPrescriptionDocument

    public void setPrescriptionDocument(DocumentListType value)
    Sets the value of the prescriptionDocument property.
    Parameters:
      `value` - allowed object is `DocumentListType`
    See Also:
      - `getPrescriptionDocument()`